slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPCISSSetExtraction

Sets the extraction technique used in the CISS solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPCISSSetExtraction(NEP nep,NEPCISSExtraction extraction)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| extraction | - the extraction technique

### Options Database Key

| -nep_ciss_extraction | - Sets the extraction technique (either 'ritz', 'hankel' or 'caa')

### Notes

By default, the Rayleigh-Ritz extraction is used (NEP_CISS_EXTRACTION_RITZ).

If the 'hankel' or the 'caa' option is specified (NEP_CISS_EXTRACTION_HANKEL or NEP_CISS_EXTRACTION_CAA), then the Block Hankel method, or the Communication-avoiding Arnoldi method, respectively, is used for extracting eigenpairs.

### See Also

NEPCISSGetExtraction(), NEPCISSExtraction

### Level

advanced

### Location

src/nep/impls/ciss/nciss.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages